# Screenshot Utility

Example Usage • Option Summary

Use the `import` program to capture some or all of an X server screen and save the image to a file. `import` captures the window selected by clicking or program argument. See Command Line Processing for advice on how to structure your `import` command or see below for example usages of the command.

## Example Usage

We list a few examples of the `import` command here to illustrate its usefulness and ease of use. To get started, lets import an image of an X11 window in the JPEG format:

    import rose.jpg

To capture the entire X server screen in the Postscript image format:

    import -window root screen.ps

You can find additional examples of using `import` in Examples of ImageMagick Usage.

## Option Summary

The `import` command recognizes these options. Click on an option to get more details about how that option works.

Option | Description
--- | ---
-adjoin | join images into a single multi-image file
-annotate geometry text | annotate the image with text
-border | include window border in the output image
-channel type | apply option to select image channels
-colors value | preferred number of colors in the image
-colorspace type | set image colorspace
-comment string | annotate image with comment
-compress type | image compression type
-contrast | enhance or reduce the image contrast
-crop geometry | preferred size and location of the cropped image
-debug events | import copious debugging information
-define format:option | define one or more image format options
-delay centiseconds | import the next image after pausing
-density geometry | horizontal and vertical density of the image
-depth value | image depth
-descend | obtain image by descending window hierarchy
-display server | get image or font from this X server
-dispose method | layer disposal method
-dither method | apply error diffusion to image
-encipher filename | convert plain pixels to cipher pixels
-encoding type | text encoding type
-endian type | endianness (MSB or LSB) of the image
-filter type | use this filter when resizing an image
-frame | include window manager frame
-geometry geometry | preferred size or location of the image
-gravity type | horizontal and vertical text placement
-help | print program options
-identify | identify the format and characteristics of the image
-interlace type | type of image interlacing scheme
-interpolate method | pixel color interpolation method
-label name | assign a label to an image
-limit type value | pixel cache resource limit
-log format | format of debugging information
-monitor | monitor progress
-monochrome | transform image to black and white
-negate | replace each pixel with its complementary color
-page geometry | size and location of an image canvas (setting)
-pause seconds | seconds delay between snapshots
-quality value | JPEG/MIFF/PNG compression level
-quantize colorspace | reduce image colors in this colorspace
-quiet | suppress all warning messages
-quiet | suppress all warning messages
-regard-warnings | pay attention to warning messages.
-repage geometry | size and location of an image canvas
-resize geometry | resize the image
-respect-parentheses | settings remain in effect until parenthesis boundary.
-rotate degrees | apply Paeth rotation to the image
-sampling-factor geometry | horizontal and vertical sampling factor
-scene value | image scene number
-screen | select image from root window
-seed value | seed a new sequence of pseudo-random numbers
-set attribute value | set an image attribute
-silent | operate silently, i.e. don't ring any bells
-strip | strip image of all profiles and comments
-synchronize | synchronize image to storage device
-taint | mark the image as modified
-transparent-color color | transparent color
-trim | trim image edges
-type type | image type
-verbose | print detailed information about the image
-version | print version information
-virtual-pixel method | access method for pixels outside the boundaries of the image
-window id | select window with this id or name